GET /events/data_series

braze.com

Summary: Custom Events Analytics
Operation ID: customEventsAnalytics
Auth: unknown
Description

This endpoint allows you to retrieve a series of the number of occurrences of a custom event in your app over a designated time period. ### Components Used -[Segment Identifier](https://www.braze.com/docs/api/identifier_types/) ## Response ```json Content-Type: application/json Authorization: Bearer YOUR-REST-API-KEY { "message": (required, string) the status of the export, returns 'success' when completed without errors, "data" : [ { "time" : (string) point in time - as ISO 8601 extended when unit is "hour" and as ISO 8601 date when unit is "day", "count" : (int) }, ... ] } ``` ### Fatal Error Response Codes The following status codes and associated error messages will be returned if your request encounters a fatal error. Any of these error codes indicate that no data will be processed. | Error Code | Reason / Cause | | ---------------- | ---------------------------------------------------------------- | | 400 Bad Request | Bad Syntax | | 401 Unauthorized | Unknown or missing REST API Key | | 429 Rate Limited | Over rate limit | | 5XX | Internal server error, you should retry with exponential backoff |

Parameters (6)

app_id (string, query, optional)

(Optional) String App API identifier retrieved from the Developer Console to limit analytics to a specific app

ending_at (string, query, optional)

(Optional) DateTime (ISO 8601 string) Point in time when the data series should end - defaults to time of the request

event (string, query, optional)

(Required) String The name of the custom event for which to return analytics

length (string, query, optional)

(Required) Integer Max number of units (days or hours) before ending_at to include in the returned series - must be between 1 and 100 inclusive

segment_id (string, query, optional)

(Optional) String Segment API identifier indicating the analytics enabled segment for which event analytics should be returned

unit (string, query, optional)

(Optional) String Unit of time between data points - can be "day" or "hour" (defaults to "day")

No probe data for this endpoint yet.